;; Pour faire plaisir à imaxima)
;; (setq imaxima-use-maxima-mode-flag t)
;; Autre solution (plus compl(ète|exe)) (source Emaxs Wiki) :
;; (add-to-list 'load-path "/usr/local/share/maxima/5.18.1/emacs/")
;; (autoload 'maxima-mode "maxima" "Maxima mode" t)
;; (autoload 'imaxima "imaxima" "Frontend for maxima with Image support" t)
;; (autoload 'maxima "maxima" "Maxima interaction" t)
;; (autoload 'imath-mode "imath" "Imath mode for math formula input" t)
 (setq imaxima-use-maxima-mode-flag t)
(custom-set-variables
  ;; custom-set-variables was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
 '(show-paren-mode t))
(custom-set-faces
  ;; custom-set-faces was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
 )
;; Geiser et Racket
(require 'geiser-install)
;; Zotexo (pour reftex)
;; (require 'zotelo)
;; (add-hook 'LaTeX-mode-hook 'zotelo-minor-mode)
(add-hook 'TeX-mode-hook 'zotelo-minor-mode)
(add-hook 'LaTeX-mode-hook 'turn-on-reftex)   ; with AUCTeX LaTeX mode
(add-hook 'LaTeX-mode-hook 'turn-on-reftex)   ; with AUCTeX LaTeX mode
;; 20130603 : Stan-mode
(add-to-list 'load-path "~/.emacs.d/plugins/stan-mode/")
(require 'stan-mode)
;; Uncomment to activate yasnippet support (requires yasnippet)
;; (require 'stan-snippets)
;; Uncomment to activate flymake support (requires flymake)
;; (require 'stan-flymake)
;; 20130614 : proxy (pour ELPA)
(setq url-proxy-services '(("no_proxy" . "work\\.com")
                           ("http" . "10.172.138.20:3128")))
;; OK. Quelques sources ELPA respectables
(setq package-archives '(("gnu" . "http://elpa.gnu.org/packages/")
                         ("marmalade" . "http://marmalade-repo.org/packages/")
                         ("melpa" . "http://melpa.milkbox.net/packages/")))
;; 20130617 : sage-mode, pour voir
(add-to-list 'load-path "/usr/local/sage/local/share/emacs")
(require 'sage "sage")
(setq sage-command "/usr/local/bin/sage")
;; If you want sage-view to typeset all your output and have plot()
;; commands inline, uncomment the following line and configure sage-view:
(require 'sage-view "sage-view")
(add-hook 'sage-startup-after-prompt-hook 'sage-view)
;; You can use commands like
;; (add-hook 'sage-startup-after-prompt-hook 'sage-view-disable-inline-output)
;; (add-hook 'sage-startup-after-prompt-hook 'sage-view-disable-inline-plots)
;; to enable some combination of features.
;; Also consider running (customize-group 'sage) to see more options.
